function dy = Andrzejak_PRE_90_062906_HindMarshRoseJ33ODE(y)
% This source code forms part of the resources provided at http://ntsa.upf.edu/downloads .
% It belongs to the library used for the computations underlying the manuscript:
% Andrzejak RG, Mormann F, Kreuz T.  2014.  Detecting determinism from point processes. Phys. Rev. E. 90, 062906
% In order to understand how the source code works, you should at first
% read the manuscript. A preprint can be found following the link above.
% If you use the source codes, please make sure that you give a reference to
% the manuscript. The correct way to cite this paper is shown above.
% No page numbers should be given in the reference.
%
% +++ What this particular script does:
% ODE for the Hindmarsh-Rose-Neuron with I =3.3

J = 3.3;
dy = [y(2)+3*y(1)^2-y(1)^3-y(3)+J;   
     1-5*y(1)^2-y(2);       
     0.0021*(-y(3)+4*(y(1)+1.6));
     ];
     



