function dy = Andrzejak_PRE_90_062906_LorenzODE(y)
% This source code forms part of the resources provided at http://ntsa.upf.edu/downloads .
% It belongs to the library used for the computations underlying the manuscript:
% Andrzejak RG, Mormann F, Kreuz T.  2014.  Detecting determinism from point processes. Phys. Rev. E. 90, 062906
% In order to understand how the source code works, you should at first
% read the manuscript. A preprint can be found following the link above.
% If you use the source codes, please make sure that you give a reference to
% the manuscript. The correct way to cite this paper is shown above.
% No page numbers should be given in the reference.
%
% +++ What this particular script does:
% ODE of the Lorenz dynamics
dy = [
     10*(y(2)-y(1));   
     28*y(1)-y(2)-y(1)*y(3);       
     y(1)*y(2)-8/3*y(3);
     ];

     



