function DP=Andrzejak_PRE_90_062906_MatrixDij(spiketimes,tmin,tmax,q,s,W,dtsin,distancetype,verbose)

para=struct('tmin',[],'tmax',[],'dts',[],'select_measures',[]);            % Initialization of parameter structure

if distancetype==1
    para.select_measures=[0 1 0 0 0];  % Select measures (0-calculate,1-do not calculate)
elseif distancetype==2
    para.select_measures=[1 0 0 0 0];  % Select measures (0-calculate,1-do not calculate)
elseif distancetype==3
    para.select_measures=[1 2 0 0 0];  % Select measures (0-calculate,1-do not calculate)
end
num_mass=length(find(para.select_measures));

m_para.all_measures_string={'ISI';'SPIKE';'SPIKE_realtime';'SPIKE_future';'PSTH';};  % order of select_measures


para.tmin=tmin;
para.tmax=tmax;
para.num_trains=2;
para.dts=dtsin;

Q=para.tmax-para.tmin;

spiketimes=spiketimes(spiketimes>para.tmin & spiketimes<para.tmax);

N=fix((Q-q)/s+1);

DP=ones(num_mass,N,N)*inf;

if distancetype>0    
    for wc1=W+1:N-1
        if verbose
            if mod(wc1,100)==0
                fprintf(' done %i of 100,',round(100*wc1/(N)))
            end
        end
        
        
        winspikes=cell(1,2);
        winspikes{1}=spiketimes(spiketimes>0 & spiketimes<Q-wc1*s)';
        winspikes{2}=spiketimes(spiketimes>0+wc1*s & spiketimes<Q)'-wc1*s;
        
        results = SPIKY_loop_f_distances(winspikes,para);   % actual call to calculate ISI/SPIKE
        
        for wc2=1:N-wc1
            wmin=(wc2-1)*s;
            wmax=wmin+q;
            if distancetype==1
                pfx=results.SPIKE.x([1:2:end-1 end]);
                pfy=results.SPIKE.y;
                DP(1,wc1+wc2,wc2) = SPIKY_f_selective_averaging(pfx,pfy,wmin,wmax);
                DP(1,wc2,wc1+wc2) = DP(1,wc1+wc2,wc2);
            elseif distancetype==2
                pfx=cumsum([para.tmin results.ISI.x]);
                pfy=results.ISI.y;
                DP(1,wc1+wc2,wc2) = SPIKY_f_selective_averaging(pfx,pfy,wmin,wmax);
                DP(1,wc2,wc1+wc2) = DP(1,wc1+wc2,wc2);
            elseif distancetype==3
                pfx=cumsum([para.tmin results.ISI.x]);
                pfy=results.SPIKE.y;
                DP(1,wc1+wc2,wc2) = SPIKY_f_selective_averaging(pfx,pfy,wmin,wmax);
                DP(1,wc2,wc1+wc2) = DP(1,wc1+wc2,wc2);
                pfy=results.ISI.y;
                DP(2,wc1+wc2,wc2) = SPIKY_f_selective_averaging(pfx,pfy,wmin,wmax);
                DP(2,wc2,wc1+wc2) = DP(2,wc1+wc2,wc2);
            end
        end
    end
end
DP = squeeze(DP);
if verbose    
    fprintf('\n')    
end


